### Method

# FwupdPlugin DeviceEvent copy_data

#### Declaration [src]

    gboolean
    fu_device_event_copy_data (
      FuDeviceEvent* self,
      const gchar* key,
      guint8* buf,
      gsize bufsz,
      gsize* actual_length,
      GError** error
    )

#### Description [src]

Copies memory from the event.

Available since: | 2.0.0

#### Parameters

`key` | `const gchar*`
| A unique key, e.g. `Name`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`buf` | `guint8*`
| A buffer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.
`actual_length` | `gsize*`
| The actual number of bytes sent, or `NULL`.
| The argument will be set by the function.
| The argument can be `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer was copied.